GETDTABLESIZE(3)

NAME
getdtablesize - get descriptor table size

LIBRARY
libc

SYNOPSIS
#include <unistd.h>
int
getdtablesize(void);

DESCRIPTION
Each process has a fixed size descriptor table, which is guaranteed to have at least 20 slots. The entries in the descriptor table are numbered with small integers starting at 0. The call getdtablesize() returns the size of this table.

SEE ALSO
close(2), dup(2), getrlimit(2), open(2), select(2), sysconf(3)

HISTORY
The getdtablesize() function call appeared in 4.2BSD.